# EPLab

Программное обеспечение для работы с устройствами линейки EyePoint, предназначенными для поиска неисправностей на печатных платах в ручном режиме (при помощи ручных щупов).

## Возможности

- Непрерывное измерение ВАХ с возможностью быстрой перестройки параметров измерителя.
- Сравнение ВАХ в реальном времени с двух каналов.
- Создание плана тестирования – файла с набором эталонных ВАХ, снятых для различных точек с заданными параметрами.
- Тестирование с использованием ранее созданного плана тестирования (с автоматической установкой параметров измерителя).
- Сохранение ВАХ в виде изображений.

## Запуск в Windows

1. Установите [MSVC 2013 redistributable](https://www.microsoft.com/en-us/download/details.aspx?id=40784) и [MSVC 2015 redistributable](https://www.microsoft.com/ru-ru/download/details.aspx?id=48145).

2. Установите драйвер `ivm.inf` из папки `driver`.

3. Дважды кликните по `eplab.exe`. Также можно перейти в терминале в папку, в которой расположен исполняемый файл, и выполнить команду:

   ```
   eplab.exe
   ```

## Подключение ВАХометров в Windows

По умолчанию при запуске к ПО не подключено ни одно устройство. Чтобы подключить к ПО ВАХометры, перейдите:

```
File -> Connection
```

В появившемся диалоговом окне `Connection setup` выберите необходимые ВАХометры и нажмите кнопку `Connect`.

Чтобы запустить приложение с уже подключенными к нему устройствами, в командной строке выполните команду:

```
eplab.exe <ivm_url> [--ref <ivm_url>]
```

ПО может работать как с одним, так и с двумя устройствами (второе устройство задавать не обязательно). `ivm_url` - это адрес COM-порта. Также `ivm_url` может быть `virtual` (будет использоваться виртуальный измеритель). Пример запуска:

```
eplab.exe com:\\.\COM13 --ref virtual
```

## Запуск в Linux

1. Перед первым запуском обычно нужно прописать в системе VID и PID устройства для драйвера виртуального COM-порта:

   ```
   sudo sh -c 'echo 1CBC 0007 > /sys/bus/usb/drivers/cdc_acm/new_id'
   ```

2. Для корректной работы ПО с COM-портами пользователь должен находиться в группе `dialout`. Чтобы добавить пользователя в эту группу, выполните команду (здесь предполагается, что имя пользователя `username`):

   ```
   sudo adduser username dialout
   ```

3. Также для работы ПО требуется установить библиотеки из папки `lib`. Для этого выполните скрипт `install_libs.sh`:

   ```
   sudo bash install_libs.sh
   ```

4. Дважды кликните по иконке файла `eplab`. Также можно перейти в терминале в папку, в которой расположен исполняемый файл, и выполнить команду:

   ```
   ./eplab
   ```

   Если возникнет ошибка с правом доступа, предоставьте права на выполнение. Для этого в терминале выполните команду:

   ```
   chmod ugo+x eplab
   ```
   
5. Если при открытии устройств все же возникают какие-то проблемы, попробуйте запустить ПО с правами `root`:

   ```
   sudo ./eplab
   ```

## Подключение ВАХометров в Linux

По умолчанию при запуске к ПО не подключено ни одно устройство. Чтобы подключить к ПО ВАХометры, перейдите:

```
File -> Connection
```

В появившемся диалоговом окне `Connection setup` выберите необходимые ВАХометры и нажмите кнопку `Connect`.

Чтобы запустить приложение с уже подключенными к нему устройствами, в командной строке выполните команду:

```
./eplab <ivm_url> [--ref <ivm_url>]
```
ПО может работать как с одним, так и с двумя устройствами (второе устройство задавать не обязательно). `ivm_url` - это адрес COM-порта. Также `ivm_url` может быть `virtual` (будет использоваться виртуальный измеритель). Пример запуска:

```
./eplab com:///dev/ttyACM0 --ref virtual
```

## Дополнительно

Для работы с сетевым ВАХометром АСА нужно запустить сервер версии 4.2.7.

